### Method

# Foundry VcsLineChanges foreach

#### Declaration [src]

    void
    foundry_vcs_line_changes_foreach (
      FoundryVcsLineChanges* self,
      guint first_line,
      guint last_line,
      FoundryVcsLineChangesForeach foreach,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`first_line`

  Type: `guint`

  No description available.

`last_line`

  Type: `guint`

  No description available.

`foreach`

  Type: `FoundryVcsLineChangesForeach`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.